﻿@{
    ViewBag.Title = "In Call";
}
<header class="bg-primary text-white">
    <div class="container text-center">
        <h1>Welcome to inCall Application</h1>
        <p class="lead">An integrated in call with microsoft dynamic crm</p>
    </div>
</header>
<section id="about" style="padding: 30px">
    <div class="container">
        <div class="row">
            <div class="col-lg-8 mx-auto">
                <h4>List corresponding personal with caller number</h4>
                <table class="table table-hover table-responsive">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Name</th>
                            <th scope="col">PsCode</th>
                            <th scope="col">Unit Code</th>
                            <th scope="col">Unit No</th>
                            <th scope="col">Status Owner</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="table-loader">
                            <th scope="row" colspan="7">
                                <div>
                                    <p style="text-align:center"><i class="fa fa-spinner fa-spin fa-3x fa-fw"></i></p>
                                </div>  
                                <div>
                                    <p style="text-align:center"><span>Loading...</span></p>
                                </div>                                
                            </th>               
                        </tr>
                        @*<tr>
                            <th scope="row">1</th>
                            <td>Yusup Ardabili</td>
                            <td>6545565</td>
                            <td>LCRRIC</td>
                            <td>0035</td>
                            <td>Owner</td>
                            <td>
                                <button type="button" class="btn btn-info" data-toggle="tooltip" data-placement="top" title="view personal detail"><i class="fa fa-user-circle" aria-hidden="true"></i></button>
                                <button type="button" class="btn btn-danger" data-toggle="tooltip" data-placement="top" title="Create Complaint"><i class="fa fa-copyright" aria-hidden="true"></i></button>
                                <button type="button" class="btn btn-warning" data-toggle="tooltip" data-placement="top" title="Create Information"><i class="fa fa-info-circle" aria-hidden="true"></i></button>
                            </td>
                        </tr>*@
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</section>
<!-- Modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"><i class="fa fa-address-card" aria-hidden="true"></i> Personal Information</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">                
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-5"><i class="fa fa-qrcode" aria-hidden="true"></i> PsCode</div>
                        <div class="col-md-7 ml-auto" id="psCode">098788</div>
                    </div>
                    <div class="row">
                        <div class="col-md-5"><i class="fa fa-home" aria-hidden="true"></i> Unit</div>
                        <div class="col-md-7 ml-auto" id="psUnit"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-5"><i class="fa fa-file-o" aria-hidden="true"></i> Unit Owner</div>
                        <div class="col-md-7 ml-auto" id="psUnitOwner"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-5"><i class="fa fa-user" aria-hidden="true"></i> Personal Name</div>
                        <div class="col-md-7 ml-auto" id="psName"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-5"><i class="fa fa-venus-mars" aria-hidden="true"></i> Gender</div>
                        <div class="col-md-7 ml-auto" id="psSex"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-5"><i class="fa fa-calendar-check-o" aria-hidden="true"></i> Birth Date</div>
                        <div class="col-md-7 ml-auto" id="psBirthDate"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-5"><i class="fa fa-envelope-open-o" aria-hidden="true"></i> Email</div>
                        <div class="col-md-7 ml-auto" id="psEmail"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-5"><i class="fa fa-road" aria-hidden="true"></i> Bill Address</div>
                        <div class="col-md-7 ml-auto" id="psAddress"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-5"><i class="fa fa-building-o" aria-hidden="true"></i> City</div>
                        <div class="col-md-7 ml-auto" id="psCity"></div>
                    </div>
                </div>                
            </div>
            <div class="modal-footer">
                <button type='button' class='btn btn-danger btn-complaint-modal' data-toggle='tooltip' data-placement='top' title='Create Complaint'><i class='fa fa-copyright' aria-hidden='true'></i></button>
                <button type='button' class='btn btn-warning btn-information-modal' data-toggle='tooltip' data-placement='top' title='Create Information'><i class='fa fa-info-circle' aria-hidden='true'></i></button>
            </div>
        </div>
    </div>
</div>
@section scripts{
    <script type="text/javascript">
        $(document).ready(function () {
            var baseUrl = $("base").attr("href")
            var windowsUrl = window.location.href.toLocaleLowerCase();
            var callerNumberUrl = windowsUrl.split("incall/")[1];

            $('[data-toggle="tooltip"]').tooltip()


            $(".btn-complaint-modal").on("click", function () {
                $("#myModal").modal('hide');
                redirectToComplaintUrl();
            })
            $(".btn-information-modal").on("click", function () {
                $("#myModal").modal('hide');
                redirectToInformationUrl();
            })

            getCorrespondingPersonal(callerNumberUrl);

            //my function
            function redirectToComplaintUrl() {
                window.open("http://192.168.21.28/residentialservices/forms/entrycomplaint")
            }
            function redirectToInformationUrl() {
                window.open("http://192.168.21.28/residentialservices/forms/entryinformation")
            }

            function getCorrespondingPersonal(callerNumber) {
                var url = baseUrl + "Home/getCorrespondingPersonal?callerNumber=" + callerNumber + ""               
                $.get(url, function (data, status) {
                    $('.detail-modal').html('');
                    if (data.Response.length > 0) {
                        var tr;
                        var no;
                        for (var i = 0; i < data.Response.length; i++) {
                            no = i+1;
                            tr = $('<tr class="detail-modal" index-no='+i+'>');
                            tr.append("<th scope='row'>"+no+"</th>")
                            tr.append("<td>" + data.Response[i].Name + "</td>");
                            tr.append("<td>" + data.Response[i].psCode + "</td>");
                            tr.append("<td>" + data.Response[i].UnitCode + "</td>");
                            tr.append("<td>" + data.Response[i].UnitNo + "</td>");
                            tr.append("<td>" + data.Response[i].StatusOwner + "</td>");
                            tr.append("<td>\
                                <button type='button' class='btn btn-info btn-personal-detail' data-toggle='tooltip' data-placement='top' title='view personal detail'><i class='fa fa-user-circle' aria-hidden='true'></i></button>\
                                <button type='button' class='btn btn-danger btn-complaint' data-toggle='tooltip' data-placement='top' title='Create Complaint'><i class='fa fa-copyright' aria-hidden='true'></i></button>\
                                <button type='button' class='btn btn-warning btn-information' data-toggle='tooltip' data-placement='top' title='Create Information'><i class='fa fa-info-circle' aria-hidden='true'></i></button>\
                                </td>");
                            $('table').append(tr);
                        }
                        $('.detail-modal').off('click').on('click', function () {
                            var j = $(this).attr("index-no");
                            var newBirthDate = "";
                            if (data.Response[j].birthDate != null) {
                                var birthDate = new Date(data.Response[j].birthDate.match(/\d+/)[0] * 1);
                                newBirthDate = ("0" + birthDate.getDate()).slice(-2) + "-" + ("0" + (birthDate.getMonth() + 1)).slice(-2) + "-" + birthDate.getFullYear();
                            }
                            $("#psCode").html(data.Response[j].psCode)
                            $("#psUnit").html(data.Response[j].UnitCode + " " + data.Response[j].UnitNo)
                            $("#psUnitOwner").html(data.Response[j].StatusOwner)
                            $("#psName").html(data.Response[j].Name)
                            $("#psSex").html(data.Response[j].sex)
                            $("#psBirthDate").html(newBirthDate)
                            $("#psEmail").html(data.Response[j].email)
                            $("#psAddress").html(data.Response[j].BillAddress)
                            $("#psCity").html(data.Response[j].BillCity)
                        })

                        $('[data-toggle="tooltip"]').tooltip()

                        $(".btn-personal-detail").on("click", function () {
                            $("#myModal").modal({ show: true })
                        })

                        $(".btn-complaint").on("click", function () {
                            redirectToComplaintUrl()
                        })
                        $(".btn-information").on("click", function () {
                            redirectToInformationUrl();
                        })
                    } else {
                        var tr;
                        tr = $('<tr class="detail-modal">');
                        tr.append("<td colspan='7'>No data</td>");
                        $('table').append(tr);
                    }
                });
                //remove loader on table
                $('.table-loader').css('display', 'none')
            }

            
        })
    </script>
}
@*<section id="services" class="bg-light">
    <div class="container">
        <div class="row">
            <div class="col-lg-8 mx-auto">
                <h2>Services we offer</h2>
                <p class="lead">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aut optio velit inventore, expedita quo laboriosam possimus ea consequatur vitae, doloribus consequuntur ex. Nemo assumenda laborum vel, labore ut velit dignissimos.</p>
            </div>
        </div>
    </div>
</section>
<section id="contact">
    <div class="container">
        <div class="row">
            <div class="col-lg-8 mx-auto">
                <h2>Contact us</h2>
                <p class="lead">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vero odio fugiat voluptatem dolor, provident officiis, id iusto! Obcaecati incidunt, qui nihil beatae magnam et repudiandae ipsa exercitationem, in, quo totam.</p>
            </div>
        </div>
    </div>
</section>*@